New Spotify Update - Issues On Wheezy

Everything about X, Gnome, KDE, ... and everything running on it

New Spotify Update - Issues On Wheezy

Postby cryptid » 2014-05-20 22:37

Hi guys. I recently upgraded my Spotify to the latest (0.9.10) however now I'm running into an issue. When attempting to launch Spotify, I get the following errors:

Code: Select all
spotify: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14' not found (required by spotify)
spotify: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14' not found (required by /opt/spotify/spotify-client/Data/libcef.so)
spotify: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.15' not found (required by /opt/spotify/spotify-client/Data/libcef.so)

After Googling this, I found many, many results that others were experiencing (with other applications) but no real solution to the problem. It appears that I simply need to update GLIBC. So after performing an entire system upgrade (though I didn't really want to) the problem still exists.

I'm not sure what all I can provide right now to help in assisting with this problem, however I did see someone in another thread request this information, so I'll post it here:

gcc --version output:
Code: Select all
gcc (Debian 4.7.2-5) 4.7.2

Any help would be greatly appreciated!
cryptid
 
Posts: 1
Joined: 2014-05-20 22:32

Re: New Spotify Update - Issues On Wheezy

Postby dilberts_left_nut » 2014-05-21 00:25

Wheezy has 2.13 - an, no, you can't just upgrade it.

You need a different OS (or perhaps you could use the same trick as the ghostsquad "steam for wheezy" package).
AdrianTM wrote:There's no hacker in my grandma...
User avatar
dilberts_left_nut
 
Posts: 4936
Joined: 2009-10-05 07:54
Location: enzed

Re: New Spotify Update - Issues On Wheezy

Postby vicshrike » 2014-05-23 16:56

The safest is probably to downgrade;

https://code.google.com/p/spotcommander ... adeSpotify

or use the Spotify web player;

https://play.spotify.com/browse
May the Debian be with you!
User avatar
vicshrike
 
Posts: 36
Joined: 2010-05-07 08:59
Location: /debian/openbox

Re: New Spotify Update - Issues On Wheezy

Postby cchip » 2014-07-12 18:27

I am running Spotify version 0.9.11.26.g995ec043 on Wheezy. I unpacked libc6 from Jessie to a subdir and edited spotify's executables to point there. Specifically:

1) install spotify-client package
2) download Jessie's libc6_2.19-4_amd64.deb and patchelf_0.8-2_amd64.deb from packages.debian.org
3) Run the following script (as root) like this:

install-spotify-libc.sh libc6_2.19-4_amd64.deb patchelf_0.8-2_amd64.deb

It unpacks Jessie's libc to /usr/local/bin/spotify-libc.

Code: Select all
#!/bin/bash

LIBC_DIR=/usr/local/bin/spotify-libc

if [ $# != 2 ]; then
    echo "Usage: `basename $0` libc.deb patchelf.deb" >&2
    exit 1
fi

LIBC_DEB=$1
PATCHELF_DEB=$2
PATCHELF_DIR=`mktemp -d --tmpdir patchelf.XXXXXXXX`

LIBS="$LIBC_DIR/lib/x86_64-linux-gnu"
LDSO="$LIBS/ld-linux-x86-64.so.2"
PATCHELF="$PATCHELF_DIR/usr/bin/patchelf"

mkdir -p "$LIBC_DIR"
dpkg -x "$LIBC_DEB" "$LIBC_DIR"
dpkg -x "$PATCHELF_DEB" "$PATCHELF_DIR"

"$LDSO" --library-path "$LIBS" "$PATCHELF" --set-interpreter "$LDSO" /opt/spotify/spotify-client/spotify
"$LDSO" --library-path "$LIBS" "$PATCHELF" --set-interpreter "$LDSO" /opt/spotify/spotify-client/Data/SpotifyHelper

"$LDSO" --library-path "$LIBS" "$PATCHELF" --set-rpath "\$ORIGIN:\$ORIGIN/Data:$LIBS" /opt/spotify/spotify-client/spotify
"$LDSO" --library-path "$LIBS" "$PATCHELF" --set-rpath "\$ORIGIN:$LIBS" /opt/spotify/spotify-client/Data/SpotifyHelper

"$LDSO" --library-path "$LIBS" "$PATCHELF" --set-rpath "$LIBS" /opt/spotify/spotify-client/Data/libcef.so
"$LDSO" --library-path "$LIBS" "$PATCHELF" --set-rpath "$LIBS" /opt/spotify/spotify-client/Data/libffmpegsumo.so

rm -rf "$PATCHELF_DIR"
cchip
 
Posts: 53
Joined: 2011-02-12 05:24


Return to Desktop & Multimedia

Who is online

Users browsing this forum: No registered users and 6 guests

fashionable